JBoss API: Class J2eeModuleMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class J2eeModuleMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.deployment.J2eeModuleMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class J2eeModuleMetaData
extends MetaData

Version:
  $Revision: 1.2.6.1 $
Author:
  Daniel Schulze daniel.schulze@telkel.com
See Also:

Field Summary
`static int` | `CLIENT`
`static int` | `CONNECTOR`
`static int` | `EJB`
`static int` | `WEB`

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`J2eeModuleMetaData(org.w3c.dom.Element moduleElement)`

Method Summary
`java.lang.String` | `getAlternativeDD()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getWebContext()`
`void` | `importXml(org.w3c.dom.Element element)`
`boolean` | `isConnector()`
`boolean` | `isEjb()`
`boolean` | `isJava()`
`boolean` | `isWeb()`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EJB

    public static final int EJB

### WEB

    public static final int WEB

### CLIENT

    public static final int CLIENT

### CONNECTOR

    public static final int CONNECTOR

Constructor Detail

### J2eeModuleMetaData

    public J2eeModuleMetaData(org.w3c.dom.Element moduleElement)
                       throws DeploymentException

Method Detail

### isEjb

    public boolean isEjb()

### isWeb

    public boolean isWeb()

### isJava

    public boolean isJava()

### isConnector

    public boolean isConnector()

### getFileName

    public java.lang.String getFileName()

### getAlternativeDD

    public java.lang.String getAlternativeDD()

### getWebContext

    public java.lang.String getWebContext()

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Overrides:
    `importXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.